%define version 1.36
%define SOVER %{version}

%define __x11dir /usr/X11R6
#%define __soext so
%define __soext a
%define __mansec 1
%define __manext 1

Summary: Dis45 - Interactive Histogram Browser
Name: dis45
Version: %{version}
Release: 3d
Copyright: PEP4/LBL and TOPAZ/KEK
Group: Applications/Math
Source: dis45-v%{version}.tar.gz
Patch:  dis45-v%{version}-macosx.patch
Packager: Keifuke Fujii <fujiik@jlcuxf.kek.jp>
BuildRoot: %{_tmppath}/dis45-root

%description
dis45 is a command-driven interactive histogram browsing program based
on CERN libraries.

%prep
%setup -n dis45-v%{version}
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__x11dir}/{bin,lib,man/man%{__mansec}}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib
%ifos darwin
%patch -p1 -b .macosx
%endif

%build
xmkmf -a
make

%install
install -c -m 755 -o root -g sys dis45 $RPM_BUILD_ROOT%{__x11dir}/bin
install -c -m 755 -o root -g sys cli/libCLI.%{__soext}* \
	$RPM_BUILD_ROOT%{_prefix}/lib
install -c -m 755 -o root -g sys com/libCOM.%{__soext}* \
	$RPM_BUILD_ROOT%{_prefix}/lib
install -c -m 755 -o root -g sys min45/libMIN.%{__soext}* \
	$RPM_BUILD_ROOT%{_prefix}/lib
install -c -m 755 -o root -g sys src/libDISPLAY.%{__soext}* \
	$RPM_BUILD_ROOT%{__x11dir}/lib
install -c -m 644 -o root -g sys doc/dis45.1 $RPM_BUILD_ROOT%{__x11dir}/man/man%{__mansec}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{__x11dir}/bin/dis45
%{__x11dir}/lib/libDISPLAY.%{__soext}*
%{__x11dir}/man/man%{__mansec}/dis45.%{__manext}
%{_prefix}/lib/libCLI.%{__soext}*
%{_prefix}/lib/libCOM.%{__soext}*
%{_prefix}/lib/libMIN.%{__soext}*
%doc doc/How-to-add-command doc/INSTALL doc/aaahistory.doc
%doc doc/commands.hlp doc/dis45.ps doc/display* doc/internal.*
%doc doc/minuit.hlp doc/release.note doc/plot
%doc doc/template.dis45rc 

%changelog
* Tue Jan 13 2004 Keisuke Fujii <keisuke.fujii@kek.jp>
- 1st release built on MacOSX 10.3

* Wed Sep 11 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X Release 10.2

* Thu Oct 11 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X Release 10.1

* Sat Apr 28 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X Release 10.0.01

* Fri Dec 3 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- rebuilt with cernlib 2000.

